---
version: 7
---

@import 'variables';

.landing {
  font-size: $body-font-size;
  background-color: $landing-gl-gray-50;

  // buttons, text and utilities
  .btn-outline-primary {
    transition: 0.3s all;
    border-color: $landing-gl-purple-500;
    color: $landing-gl-purple-500;

    &:hover {
      color: $gds-white;
      background-color: $landing-gl-purple-500;
    }
  }

  // cards
  .card {
    box-shadow: 0 0.5rem 1.5rem -0.75rem $landing-gl-blue-1000;
    border-radius: 0.25rem;
    transition: all 0.5s;

    &.transparent {
      box-shadow: none;
      background-color: transparent;
    }

    .card-title {
      color: $gds-purple-900;
    }

    .card-link {
      text-decoration: none;
      position: relative;

      &:hover {
        text-decoration: underline;
      }
    }

    &:hover {
      box-shadow: 0.1rem 0.5rem 2rem 0 $landing-gl-blue-1000;
    }
  }

  // images
  img {
    display: inline;
  }

  // sections
  .hero {
    background-image: url('/assets/images/hero-bg.svg');
    background-repeat: no-repeat;
    background-attachment: inherit;
    background-position: 50% 4%;

    @media (max-width: $bp-sm) {
      background-image: url('/assets/images/hero-bg-mobile.svg');
    }

    .topic .card-body {
      padding: 1.75rem 2.25rem 2.5rem;
    }

    .search {
      background: $gds-white;
      box-shadow: 0 0 0.125rem $landing-gl-black-50, 0 0.25rem 1.5rem $landing-gl-blue-950;
      border-radius: 0.25rem;
      width: 65%;

      @media (max-width: $bp-md) {
        width: 100%;
      }

      .card-body {
        padding: 1.25rem 3.25rem;
      }

      .card-title {
        font-size: 3rem;
        line-height: 3.25rem;
        font-weight: 700;
        letter-spacing: -0.05rem;
        color: $gds-purple-900;

        @media (max-width: $bp-xs) {
          font-size: 2rem;
        }
      }

      .algolia-autocomplete {
        width: 100%;
      }

      .search-icon {
        position: absolute;
        left: 4rem;
        top: 6.75rem;
        z-index: 1;

        @media all and (max-width: $bp-sm) {
          top: 10rem;
        }
      }

      .form-control {
        background: $gds-white;
        border: 1px solid $landing-gl-purple-550;
        box-sizing: border-box;
        box-shadow: 0 0 0 0.25rem $landing-gl-blue-200;
        border-radius: 1.5rem;
        padding-left: 2.5rem;
      }

      .card-link {
        font-size: 1.5rem;
        line-height: 1.5rem;
        color: $landing-gl-purple-500;
      }
    }

    .oval {
      border-radius: 50%;
      position: absolute;
      left: 0;
      right: 0;
      margin: auto;
      width: 43.188rem;
      height: 29rem;
      background: $landing-gl-purple-50;
      mix-blend-mode: multiply;
      opacity: 0.24;
      filter: blur(10.25rem);
    }

    .topic {
      border: 0;

      .card-img-top {
        width: 4rem;
        height: 4rem;
      }

      .card-title {
        font-weight: 500;
        font-size: 1.75rem;
        line-height: 2.125rem;
        color: $gds-purple-900;
      }

      .card-text {
        font-style: normal;
        font-weight: normal;
        font-size: 1rem;
        line-height: 1.5rem;
        color: $landing-gl-gray-500;
      }

      ul {
        list-style: none;
      }

      li {
        margin: 0;
      }

      a {
        font-size: 0.875rem;
        line-height: 1.5rem;
        color: $landing-gl-purple-500;
      }
    }

    h2 {
      font-style: normal;
      font-weight: 500;
      font-size: 2.5rem;
      line-height: 3.063rem;
      color: $gds-purple-900;
    }

    .btn {
      color: $gds-white;
      background: $landing-gl-purple-500;
      border: 1px solid $landing-gl-purple-600;
      box-sizing: border-box;
      border-radius: 4px;
      padding: 28px 1.5rem;

      &:hover {
        color: $landing-gl-purple-500;
        background: $gds-white;
      }
    }
  }


  .popular {
    background: $gds-white;
    border: 1px solid $gray-50;

    h2 {
      font-weight: 500;
      font-size: 2.5rem;
      line-height: 3.063rem;
      color: $gds-purple-900;
    }

    h5 {
      font-weight: 500;
      font-size: 1.75rem;
      line-height: 2.125rem;
      color: $gds-purple-900;
    }

    ul {
      list-style: none;
      li {
        line-height: 1.313rem;
        margin: 0.5rem;

        &::before {
          position: relative;
          right: 0.2rem;
          top: -0.125rem;
          content: url('/assets/images/rectangle.svg');
        }
      }

      a {
        font-size: 0.875rem;
        color: $landing-gl-purple-700;
      }
    }
  }

  .self-managed {
    h2 {
      font-weight: 500;
      font-size: 2.5rem;
      line-height: 3.063rem;
      color: $gds-purple-900;
    }

    a {
      color: $landing-gl-purple-500;

      &:hover {
        color: $landing-gl-purple-500;
      }
    }

    .card-large {
      border: 0;
      padding: 2rem;

      .card-title {
        font-weight: 500;
        font-size: 1.75rem;
        line-height: 2.125rem;
        color: $gds-purple-900;
      }

      .card-img-top {
        width: 80px;
        height: 80px;
      }

      .card-text {
        font-style: normal;
        font-weight: normal;
        font-size: 1rem;
        line-height: 1.5rem;
        color: $landing-gl-gray-600;
      }

      a {
        font-style: normal;
        font-weight: normal;
        font-size: 1rem;
        line-height: 1.5rem;
        color: $landing-gl-purple-500;
      }
    }

    .transparent {
      padding: 1rem;

      .card-title {
        font-style: normal;
        font-weight: 500;
        font-size: 1rem;
        line-height: 1.25rem;
        color: $landing-gl-purple-500;
        white-space: nowrap;
      }

      .card-text {
        font-style: normal;
        font-weight: normal;
        font-size: 0.875rem;
        line-height: 1.25rem;
        color: $landing-gl-gray-500;
      }
    }

    .options {
      font-weight: 500;
      font-size: 1.125rem;
      line-height: 1.375rem;

      p {
        color: $landing-gl-gray-600;
      }
    }

    .related {
      font-style: normal;
      font-size: 1rem;
      line-height: 1.5rem;

      p {
        color: $landing-gl-gray-600;
      }

      a {
        color: $landing-gl-purple-500;
      }
    }
  }

  .reference {
    background: radial-gradient(75.78% 75.78% at 50% 1.83%, $landing-gl-black-100 0%, $landing-gl-black-0 100%), $landing-gl-indigo-950;
    padding: 0 10rem;

    @media (max-width: $bp-md) {
      padding: 0 15px;
    }

    h2 {
      font-style: normal;
      font-weight: 500;
      font-size: 2.5rem;
      line-height: 3.063rem;
      color: $gds-white;
    }

    p {
      color: $landing-gl-purple-100;
    }

    .title {
      font-weight: 600;
      font-size: 2rem;
      font-family: 'Source Sans Pro', sans-serif;
    }

    .sub-title {
      font-size: 1.25rem;
    }

    .circle {
      background-color: $landing-gl-blue-600;
      height: 9.25rem;
      width: 9.25rem;
    }
  }

  .support {
    background: linear-gradient(180deg, $gds-white 0%, $landing-gl-white-500 100%);
    background-image: url('/assets/images/support-bg.svg'), linear-gradient(180deg, $gds-white 0%, $landing-gl-white-500 100%);
    background-repeat: no-repeat;
    background-attachment: inherit;
    background-position: 50% 60%;

    @media (max-width: $bp-md) {
      background-image: url('/assets/images/hero-bg-mobile.svg');
    }

    .card {
      width: 65%;
      box-shadow: 0 0 0.125rem $landing-gl-black-50, 0 0.5rem 1.5rem $landing-gl-blue-950;
      border-radius: 0.25rem;

      @media (max-width: $bp-md) {
        width: 100%;
      }
    }

    h5 {
      font-weight: 500;
      font-size: 2.5rem;
      line-height: 3.063rem;
    }

    p {
      font-size: 1.125rem;
      line-height: 1.313rem;
      text-align: center;
      color: $landing-gl-gray-600;
    }
  }

  // footer
  footer {
    height: 3rem;
    background-color: $landing-gl-purple-550;

    @media (max-width: $bp-sm) {
      height: auto;
    }

    ul {
      list-style: none;
    }

    a {
      font-style: normal;
      font-weight: normal;
      font-size: 0.875rem;
      line-height: 1rem;
      text-align: center;
      color: $gds-white;

      &:hover {
        color: $gds-white;
      }
    }

    .dot {
      height: 0.25rem;
      width: 0.25rem;
      background-color: $gds-white;
      border-radius: 50%;
      display: inline-block;
    }
  }
}
